<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('dataset_table40', function (Blueprint $table) {
            $table->id('DatasetTable40Id');
            $table->integer('dataset_id');
            $table->string('kelas_jalan')->nullable();
            $table->integer('panjang_jalan')->default(0);
            $table->integer('panjang_jalan_terakhir')->default(0);
            $table->integer('created_by');
            $table->timestampsTz();
            $table->softdeletesTz();

            $table->foreign('dataset_id')->references('DatasetId')->on('dataset')->cascadeOnDelete();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('dataset_table40s');
    }
};
